IntegrationsShopify

Get one order with the first 50 line items, addresses, fulfillments, transactions, refunds, returns and 25 metafields.

POST
/integrations/connections/{connection_id}/providers/shopify/orders/get

Get one order with the first 50 line items, addresses, fulfillments, transactions, refunds, returns and 25 metafields.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/shopify/orders/get" \  -H "Content-Type: application/json" \  -d '{    "order_id": "example"  }'
{  "id": "example",  "name": "Customer documents",  "created_at": "example",  "processed_at": "example",  "updated_at": "example",  "cancelled_at": "example",  "closed": false,  "test": false,  "display_financial_status": "example",  "display_fulfillment_status": "example",  "currency_code": "example",  "subtotal": {    "amount": "example",    "currency_code": "example"  },  "total_price": {    "amount": "example",    "currency_code": "example"  },  "total_tax": {    "amount": "example",    "currency_code": "example"  },  "total_discounts": {    "amount": "example",    "currency_code": "example"  },  "total_shipping": {    "amount": "example",    "currency_code": "example"  },  "total_refunded": {    "amount": "example",    "currency_code": "example"  },  "customer": {    "id": "example",    "display_name": "example",    "email": "ada@example.com"  },  "email": "ada@example.com",  "tags": [],  "line_items_quantity": 0,  "source_name": "example",  "sales_channel": "example",  "shipping_country_code": "example",  "note": "example",  "phone": "example",  "line_items": [],  "line_items_truncated": false,  "shipping_address": {    "name": "Customer documents",    "company": "example",    "address1": "example",    "address2": "example",    "city": "example",    "province_code": "example",    "country_code": "example",    "zip": "example",    "phone": "example"  },  "billing_address": {    "name": "Customer documents",    "company": "example",    "address1": "example",    "address2": "example",    "city": "example",    "province_code": "example",    "country_code": "example",    "zip": "example",    "phone": "example"  },  "shipping_line": {    "title": "Approve supplier payment",    "price": {      "amount": "example",      "currency_code": "example"    }  },  "discount_codes": [],  "payment_gateway_names": [],  "fulfillments": [],  "fulfillment_orders": [],  "transactions": [],  "refunds": [],  "returns": [],  "metafields": []}